HomeElementl

Support slackclient 2.x

Description

Support slackclient 2.x

Summary:
As the title. With this change, we remove support for python 2.7.*, since slackclient 2.x is only supported for python 3.6 and above. See https://github.com/slackapi/python-slackclient/wiki/Migrating-to-2.x for details.

Addresses https://github.com/dagster-io/dagster/issues/3058

Test Plan: unit, BK

Reviewers: max, sashank

Reviewed By: max

Subscribers: schrockn

Differential Revision: https://dagster.phacility.com/D4797

Details

Provenance
rexledesmaAuthored on Oct 15 2020, 11:39 PM
Reviewer
max
Differential Revision
D4797: Support slackclient 2.x
Parents
R1:5218af84a0ab: Improves docstrings for config API.
Branches
Unknown
Tags
Unknown